# maintained by Rahul Sundaram <metherid AT gmail.com>
# Omega 12 Fedora Remix 
# This remix is not affliated or endorsed by Red Hat
# Create your own remix - http://fedoraproject.org/wiki/How_to_create_and_use_a_Live_CD

%include fedora-live-12-base.ks

services --enabled=NetworkManager --disabled=rpcsvcgssd,rpcgssd,rpcidmapd,sshd,network,nfslock,nfs,rpcbind,sendmail

repo --name=rpmfusion-free --baseurl=http://download1.rpmfusion.org/free/fedora/releases/12/Everything/i386/os
repo --name=rpmfusion-free-updates --baseurl=http://download1.rpmfusion.org/free/fedora/updates/12/i386
repo --name=rpmfusion-non-free  --baseurl=http://download1.rpmfusion.org/nonfree/fedora/releases/12/Everything/i386/os
repo --name=rpmfusion-non-free-updates --baseurl=http://download1.rpmfusion.org/nonfree/fedora/updates/12/i386
repo --name=livna --baseurl=ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/12/i386
repo --name=adobe --baseurl=http://linuxdownload.adobe.com/linux/i386/


%packages
@graphical-internet
@sound-and-video
@gnome-desktop
@office
nss-mdns



# avoid weird case where we pull in more festival stuff than we need
festival
festvox-slt-arctic-hts

# dictionaries are big
-aspell-*
-hunspell-*
-man-pages*
-words

# save some space
-gnome-user-docs
-evolution-help
-gnome-games-help
-nss_db
-isdn4k-utils

# omega add

# games

gnome-games-extra
#megamario
#fbg
extremetuxracer
frozen-bubble
PySolFC
gcompris

desktop-backgrounds-basic
constantine-backgrounds-extras
seahorse
alacarte
control-center-extra
mesa-dri-drivers-experimental
powertop
shotwell
pitivi
wget
Miro
gnome-packagekit-extra
gnome-shell
gimp
inkscape
nautilus-open-terminal
mc
foomatic


-f-spot
-tomboy

# rebranding

-fedora-logos
-fedora-release
-fedora-release-notes
generic-release
generic-logos
generic-release-notes
# rpmfusion release packages
rpmfusion-free-release
rpmfusion-nonfree-release
# livna because we need libdvdcss for playing encrypted DVD's
livna-release
# codecs
gstreamer-plugins-ugly
gstreamer-ffmpeg
gstreamer-plugins-bad
gstreamer-plugins-bad-extras

# adobe-release for flash although we don't install flash by default
adobe-release


# rpmfusion status of this package is unclear
# only livna has it now
libdvdcss
# media players
gxine
xine-lib-extras-nonfree
gnome-mplayer
gecko-mediaplayer
mencoder
ffmpeg2theora



# things we don't need here

-gthumb
-krb5-auth-dialog
-krb5-workstation
-pam_krb5
-quota
-acpid
-nano
-smartmontools
-minicom
-dos2unix
-finger
-ftp
-jwhois
-mtr
-pinfo
-rsh
-telnet
-unix2dos
-nfs-utils
-ypbind
-yp-tools
-rpcbind

# drop some system-config things
-system-config-boot
-system-config-language
-system-config-lvm
-system-config-network
-system-config-rootpassword
system-config-services
policycoreutils-gui

# use the PackageKit helper for bash
PackageKit-command-not-found

%end

%post
# rebranding

sed -i -e 's/Generic/Omega 12.1 Fedora Remix/g' /etc/fedora-release /etc/issue


cat >> /etc/rc.d/init.d/livesys << EOF
# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/lockdown/disable_lock_screen true >/dev/null

# set up timed auto-login for after 60 seconds
cat >> /etc/gdm/custom.conf << FOE
[daemon]
TimedLoginEnable=true
TimedLogin=liveuser
TimedLoginDelay=60
FOE

# Show harddisk install on the desktop
sed -i -e 's/NoDisplay=true/NoDisplay=false/' /usr/share/applications/liveinst.desktop
mkdir /home/liveuser/Desktop
cp /usr/share/applications/liveinst.desktop /home/liveuser/Desktop
chown -R liveuser.liveuser /home/liveuser/Desktop
chmod a+x /home/liveuser/Desktop/liveinst.desktop

# But not trash and home
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/trash_icon_visible false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/home_icon_visible false >/dev/null

# Turn off PackageKit-command-not-found while uninstalled
sed -i -e 's/^SoftwareSourceSearch=true/SoftwareSourceSearch=false/' /etc/PackageKit/CommandNotFound.conf

EOF

%end
