# maintained by Valent Turkovic <valent.turkovic AT gmail.com>
# Community Fedora Remix 13.1
# This remix is not affliated or endorsed by Red Hat
# Create your own remix - http://fedoraproject.org/wiki/How_to_create_and_use_a_Live_CD

%include fedora-live-13-base.ks

lang en_US.UTF-8
keyboard croat
timezone Europe/Zagreb
part / --size 6000 --fstype ext4

services --enabled=NetworkManager --disabled=rpcsvcgssd,rpcgssd,rpcidmapd,sshd,network,nfslock,nfs,rpcbind,sendmail

repo --name=rpmfusion-free --baseurl=http://download1.rpmfusion.org/free/fedora/releases/13/Everything/i386/os
repo --name=rpmfusion-free-updates --baseurl=http://download1.rpmfusion.org/free/fedora/updates/13/i386
repo --name=rpmfusion-non-free --baseurl=http://download1.rpmfusion.org/nonfree/fedora/releases/13/Everything/i386/os
repo --name=rpmfusion-non-free-updates --baseurl=http://download1.rpmfusion.org/nonfree/fedora/updates/13/i386
repo --name=livna --baseurl=ftp://mirrors.tummy.com/pub/rpm.livna.org/repo/13/i386
repo --name=adobe --baseurl=http://linuxdownload.adobe.com/linux/i386/
repo --name=google --baseurl=http://dl.google.com/linux/rpm/stable/i386
repo --name=skype --baseurl=http://download.skype.com/linux/repos/fedora/updates/i586
repo --name=chromium --baseurl=http://spot.fedorapeople.org/chromium/F13
repo --name=local --baseurl=http://127.0.0.1/repo


%packages


# Community Fedora Remix packages are below

-@games
@graphical-internet
@sound-and-video
@gnome-desktop
nss-mdns

# avoid weird case where we pull in more festival stuff than we need
festival
festvox-slt-arctic-hts

# dictionaries are big
-aspell-*
-hunspell-*
-man-pages*
-words

# save some space
-gnome-user-docs
-evolution-help
-gnome-games-help
-nss_db
-isdn4k-utils

# fonts that are not needed
-thai-scalable-fonts-common
-cjkuni-uming-fonts

# eyecandy
desktop-backgrounds-basic
#echo-icon-theme

# desktop tools and addons
cheese
alacarte
parcellite
gnome-do
gtk-recordmydesktop
control-center-extra
gkrellm
seahorse
gconf-editor
nautilus-image-converter
nautilus-actions
nautilus-open-terminal
nautilus-sendto

#mintmenu dependencies
#deskbar-applet
#gnome-python2-gnomedesktop
#pyxdg
#pygtk2
#pygtk2-libglade
#alacarte
#GConf2
#odt2txt
#tracker
#tracker-search-tool
#PackageKit

#local repo
mintmenu
autoten
community-fedora-remix

@office

# p2p apps
amule
deluge
-transmission*
#azureus

# codecs
gstreamer-plugins-ugly
gstreamer-ffmpeg
gstreamer-plugins-bad
#gstreamer-plugins-bad-extras

# audio and video media players
vlc
Miro

# video apps
avidemux
pitivi
# k9 uses kdelibs as dependency :(
#k9copy

# audio and video media players
audacious
audacious-plugins-freeworld-mp3
audacious-plugins-freeworld-ffaudio
gnome-mplayer
gecko-mediaplayer
#gxine
#xine-lib-extras-nonfree

# graphics and photo apps
gimp
f-spot
scribus
inkscape
inkscape-docs
bitstream-vera-sans-fonts
blender
fotowall
photoprint
posterazor
#hugin
jhead
#kipi-plugins
-shotwell

# video apps
ffmpeg
ffmpeg2theora
mencoder

# audio apps
audacity-freeworld

# misc advanced tools
mc
wget
livecd-tools
liveusb-creator
sshfs
powertop
conky
htop
atop
testdisk
vim-enhanced
p7zip-plugins
unrar
mutt
screen
fslint
yum-plugin-remove-with-leaves
b43-fwcutter
akmod-wl
mesa-dri-drivers-experimental
#wine
# wxPython for autoten
wxPython

-tomboy

# rebranding
-fedora-logos
-fedora-release
-fedora-release-notes
generic-release
generic-logos
generic-release-notes

# rpmfusion release packages
rpmfusion-free-release
rpmfusion-nonfree-release

# livna because we need libdvdcss for playing encrypted DVD's
livna-release

# adobe-release for flash although we don't install flash by default
adobe-release

# rpmfusion status of this package is unclear
# only livna has it now
libdvdcss


# things we don't need here

#-gthumb
-dasher
-krb5-auth-dialog
-krb5-workstation
-pam_krb5
-quota
-acpid
-nano
-minicom
-dos2unix
-finger
-ftp
-jwhois
-mtr
-pinfo
-rsh
-telnet
-unix2dos
-nfs-utils
-ypbind
-yp-tools
-rpcbind

# drop some system-config things
-system-config-boot
-system-config-language
-system-config-lvm
-system-config-network
-system-config-rootpassword
system-config-services
policycoreutils-gui

# use the PackageKit helper for bash
PackageKit-command-not-found

# Compiz-Fusion for Gnome
ccsm
compiz
compiz-bcop
compiz-fusion
compiz-fusion-extras
compiz-fusion-extras-gnome
compiz-fusion-gnome
compiz-gnome
compizconfig-backend-gconf
compizconfig-python
emerald
emerald-themes
fusion-icon-gtk
libcompizconfig

# internet apps
pan
chromium
#midori
#epiphany
evolution-mapi

# wireless tools
aircrack-ng
airsnort
kismet
macchanger

# gps tools
#geoclue-gpsd
gpsd
#gpsd-clients
# tangogps has gpscorrelate as a dependency?!?
#tangogps
#gpsbabel
#gpx-viewer
#gpsdrive
#gpsman
#gypsy
#perl-GPS
#qlandkarte
#qgis

#viking

@croatian-support

# proprietary bits
#skype
flash-plugin
picasa
#google-chrome-unstable

%end



%post
# rebranding
sed -i -e 's/Generic/Community Fedora Remix/g' /etc/fedora-release /etc/issue


cat >> /etc/rc.d/init.d/livesys << EOF
# disable screensaver locking
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/lockdown/disable_lock_screen true >/dev/null

# set up timed auto-login for after 15 seconds
cat >> /etc/gdm/custom.conf << FOE
[daemon]
TimedLoginEnable=true
TimedLogin=liveuser
TimedLoginDelay=15
FOE

# Show harddisk install on the desktop
sed -i -e 's/NoDisplay=true/NoDisplay=false/' /usr/share/applications/liveinst.desktop
mkdir /home/liveuser/Desktop
cp /usr/share/applications/liveinst.desktop /home/liveuser/Desktop
chown -R liveuser.liveuser /home/liveuser/Desktop
chmod a+x /home/liveuser/Desktop/liveinst.desktop

# But not trash and home
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/trash_icon_visible false >/dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/desktop/home_icon_visible false >/dev/null

# Setup mintMenu and one bottom GNOME panel instead of two GNOME panels
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --load /usr/share/community-fedora-remix/gconf2/mintMenu.xml
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --load /usr/share/community-fedora-remix/gconf2/dockbarx.xml
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --load /usr/share/community-fedora-remix/gconf2/one-panel-settings-dockbarx.xml
#gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults --load /usr/share/community-fedora-remix/gconf2/one-panel-settings.xml

# Turn off PackageKit-command-not-found while uninstalled
sed -i -e 's/^SoftwareSourceSearch=true/SoftwareSourceSearch=false/' /etc/PackageKit/CommandNotFound.conf

# Some sane desktop defaults
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/peripherals/touchpad/tap_to_click true > /dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /desktop/gnome/peripherals/touchpad/disable_while_typing true > /dev/null
gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/nautilus/preferences/always_use_browser true > /dev/null

EOF

# Put Autoten icon on desktop
mkdir /etc/skel/Desktop
cp /usr/share/applications/autoten.desktop /etc/skel/Desktop/

# Setup default mintMenu application list
mkdir -p /etc/skel/.linuxmint/mintMenu/
cp /usr/share/community-fedora-remix/mintMenu/applications.list /etc/skel/.linuxmint/mintMenu/

# Additional post commands

# add .repo files
cat >> /etc/yum.repos.d/chromium.repo << EOF
[chromium]
name=Chromium Test Packages
baseurl=http://spot.fedorapeople.org/chromium/F13/
enabled=1
EOF

# install Google repository (Picasa, Google Chrome Browser ...)
wget https://dl-ssl.google.com/linux/linux_signing_key.pub
rpm --import linux_signing_key.pub
cat >> /etc/yum.repos.d/google.repo << EOF
[google]
name=Google - i386
baseurl=http://dl.google.com/linux/rpm/stable/i386
enabled=1
gpgcheck=1
gpgkey=https://dl-ssl.google.com/linux/linux_signing_key.pub
EOF

# install Skype repository
gpg --keyserver pgp.mit.edu --recv-keys 0xD66B746E
gpg -a -o /etc/pki/rpm-gpg/RPM-GPG-KEY-skype --export 0xD66B746E
cat >> /etc/yum.repos.d/skype.repo << EOF
[skype]
name=Skype Repository
baseurl=http://download.skype.com/linux/repos/fedora/updates/i586/
#gpgkey=http://www.skype.com/products/skype/linux/rpm-public-key.asc
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-skype
enabled=1
gpgcheck=1
EOF

# RPM Fusion GPG keys
echo "== RPM Fusion Nonfree: Base section =="
echo "Importing RPM Fusion keys"
rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-rpmfusion-nonfree-fedora-*-primary
echo "List of packages from RPM Fusion Nonree:"
rpm -qa --qf '%{NAME} %{SIGGPG:pgpsig} %{SIGPGP:pgpsig} \n' | grep -e 206f8182b1981b68 -e 4d2a1bdc8dc43844 | awk ' { print $1 } ' | sort
echo "List of incuded RPM Fusion packages with their size:"
rpm -q --qf '%{SIZE} %{NAME}\n' $(rpm -qa --qf '%{NAME} %{SIGGPG:pgpsig} %{SIGPGP:pgpsig} \n' | grep -e 206f8182b1981b68 -e 4d2a1bdc8dc43844 | awk ' { print $1 } ') | sort -n

%end

%post --nochroot

#
# http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/custom-guide/s1-kickstart2-postinstallconfig.html
# --nochroot Allows you to specify commands that you would like to run outside of the chroot environment.
#

LIVE_ROOT="/home"
cd /home/temp/imgcreate-*
cd install_root
INSTALL_ROOT=$(pwd)


# Download video and audio files, saves them so that they are available on LiveCD as demo material

cd "$LIVE_ROOT"
mkdir -p Content
cd Content
#mkdir Podcast
#cd Podcast
#wget http://fedoraproject.org/w/uploads/e/e4/Fedora_11_Overview_-_Jesse_Keating.ogg
##wget http://fedoraproject.org/w/uploads/8/83/Fedora_11_Overview_-_Spot_Callaway.ogg
##wget http://wonderer.fedorapeople.org/Interview_cwickert_24_Apr_2009.ogg
##wget http://mspevack.fedorapeople.org/glezos-diegobz-20090403.ogg
##wget http://fedoraproject.org/w/uploads/a/a9/Presto_-_Jon_Dieter.ogg
#cd ..
#mkdir Remix
#cd Remix
#wget http://www.montanalinux.org/files/newvideos/fedora-10-remix.ogv
#cd ..
#mkdir Videos
#cd Videos
##wget http://www.redhat.com/v/magazine/ogg/FUDCon11Recap.ogg
#wget http://www.redhat.com/v/ogg/TruthHappensRmx.ogg
cd "$LIVE_ROOT"

mkdir -p "$INSTALL_ROOT/etc/skel/Desktop"
c	p "$LIVE_ROOT/Content" "$INSTALL_ROOT/etc/skel/Desktop/" -R

# Make Multimedia Content folder show on desktop
#cp "$LIVE_ROOT/Content" "$INSTALL_ROOT/"
ln -s "$INSTALL_ROOT/etc/skel/Desktop/Content" "$INSTALL_ROOT/content1"

# Make Multimedia Content folder show on desktop
# mkdir "$INSTALL_ROOT/usr/local/lib/codecs" -p
ln -s /etc/skel/Desktop/Content /content2

# Download and install latest Broadom b43 driver
#wget http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2
mkdir "$INSTALL_ROOT/extra/broadcom-firmware" -p
cd "$INSTALL_ROOT/extra/broadcom-firmware"
wget http://mirror2.openwrt.org/sources/broadcom-wl-4.150.10.5.tar.bz2
tar xjf broadcom-wl-4.150.10.5.tar.bz2
cd broadcom-wl-4.150.10.5/driver
b43-fwcutter -w /lib/firmware/ wl_apsta_mimo.o
#b43-fwcutter -w "$INSTALL_ROOT/lib/firmware/" wl_apsta_mimo.o
cd "$LIVE_ROOT"

# Download and install mintMenu
#mkdir "$LIVE_ROOT/extra/mintmenu" -p
#cd "$LIVE_ROOT/extra/mintmenu"
#wget http://packages.linuxmint.com/pool/main/m/mintmenu/mintmenu_4.9.9.tar.gz	
#tar xvzf mintmenu*
#cp -r mintmenu/usr/lib/linuxmint/ "$INSTALL_ROOT/usr/lib/"
#cp mintmenu/usr/lib/bonobo/servers/mintMenu.server "$INSTALL_ROOT/usr/lib/bonobo/servers/mintMenu.server"
#cp mintmenu/usr/bin/mintmenu "$INSTALL_ROOT/usr/bin/"
#cd "$LIVE_ROOT"

#cp "$LIVE_ROOT/b43" "$INSTALL_ROOT/lib/firmware/" -R
#cp "$LIVE_ROOT/codecs" "$INSTALL_ROOT/usr/local/lib/" -R

%end
